Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
Class Compiler

A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.

author:
  Chris Poirier

version:
  $Id: Compiler.java 8008 2007-09-08 06:11:47Z paulk $

Field Summary
`Compiler` | `DEFAULT`
`CompilerConfiguration` | `configuration`

Constructor Summary
`Compiler()` Initializes the Compiler with default configuration.
`Compiler(CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

Method Summary
`void` | `compile(File file)` Compiles a single File.
`void` | `compile(def files)` Compiles a series of Files.
`void` | `compile(def files)` Compiles a series of Files from file names.
`void` | `compile(String name, String code)` Compiles a string of code.

Constructor Detail

### Compiler

    public Compiler()

  Initializes the Compiler with default configuration.

### Compiler

    public Compiler(CompilerConfiguration configuration)

  Initializes the Compiler with the specified configuration.

Method Detail

### compile

    public void compile(File file)

  Compiles a single File.

### compile

    public void compile(def files)

  Compiles a series of Files.

### compile

    public void compile(def files)

  Compiles a series of Files from file names.

### compile

    public void compile(String name, String code)

  Compiles a string of code.